* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

:root {
    --green-400: hsl(172, 67%, 45%);
    --Green-900: hsl(183, 100%, 15%);
    --Grey-500: hsl(186, 14%, 43%);
    --Grey-400: hsl(184, 14%, 56%);
    --Grey-200: hsl(185, 41%, 84%);
    --Grey-50: hsl(189, 47%, 97%);
    --White: hsl(0, 100%, 100%);
    --font-size: 24px;
}

body {
    font-family: "Space Mono", monospace !important;
    background-color: var(--Grey-200) !important;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

}

.head-name {
    margin-bottom: 5rem;
}

@media(max-width: 992px) {
    .head-name {
        margin-bottom: 30px;
    }
}

.bill-group {
    width: 900px;
    padding-left: 18px;
    padding-right: 18px;
    padding-top: 30px;
    background-color: var(--White);
    border-radius: 20px;
}


.page-left {
    width: 50%;
}

@media (max-width:992px) {
    .bill-group {
        width: 371px;
        padding-bottom: 18px;
    }

    .bill-group .container {
        flex-direction: column;
        /* width: 500px !important; */
    }

    .page-left {
        width: 100%;
    }
}

.bill-group .name-bill,
.bill-group .name-people {
    font-weight: 600;
    color: var(--Grey-500);
}

.bill-group .input-bill,
.bill-group .input-people {
    background-color: var(--Grey-50);
    border-radius: 8px;
}

.input-bill {
    margin-bottom: 3rem;
}

.input-people {
    margin-bottom: 3rem;
}

@media(max-width: 992px) {
    .input-people {
        margin-bottom: 5px;
    }

    .input-bill {
        margin-bottom: 5px;
    }
}

.input-bill input,
.input-people input {
    border: none;
    outline: none;
    background-color: transparent;
    font-weight: 800;
    font-size: 20px;
    color: var(--Green-900);
}

.input-bill input::placeholder,
.input-people input::placeholder {
    color: var(--Grey-400);
    font-size: 20px;
}

/* ======= Select Tip ========== */

.name-select {
    font-weight: 600;
    color: var(--Grey-500);
}


@media(max-width: 992px) {
    ul {
        width: 336px;
    }
}

ul li,
ul .put-custom {
    background-color: var(--Green-900);
    padding: 8px 20px;
    width: 120px;
    color: var(--White);
    font-size: 23px;
    font-weight: 700;
    border-radius: 8px;
    cursor: pointer;
    text-align: center;
    transition: 0.3s;
}

ul li:hover {
    background-color: var(--Grey-200);
    color: var(--Green-900);
}

@media(max-width: 992px) {

    ul li,
    ul .put-custom {
        width: 150px;
    }
}

ul .put-custom {
    padding: unset;
}

.custom {
    width: 102%;
    height: 102%;
    border: none;
    outline: none;
    background-color: var(--Grey-50);
    border-radius: 8px;
    color: var(--Grey-400);
    font-weight: 600;
    padding-left: 15px;
}

.custom::placeholder {
    font-weight: 700;
    color: var(--Grey-400);
}

/* ======= page-right ========== */

.page-right {
    background-color: var(--Green-900);
    height: 45vh;
    border-radius: 20px;
    width: 50%;
}


@media (max-width: 992px) {
    .page-right {
        width: 100% !important;
        height: 30vh;
    }
}

.tip-amount p,
.tip-total p {
    color: #fff;
    font-weight: 600;
}

.tip-amount p span,
.tip-total p span {
    color: var(--Grey-500);
    font-size: 14px;
    font-weight: 600;
}


.num-amount,
.num-total {
    color: var(--green-400);
    font-size: 40px;
    font-weight: 600;
}

@media (max-width: 992px) {

    .num-amount,
    .num-total {
        font-size: 35px;
    }

}

.reset {
    padding: 12px;
    color: var(--Green-900);
    background-color: var(--green-400);
    text-align: center;
    border-radius: 8px;
    font-weight: 600;
    cursor: pointer;
}

/* # Front-end Style Guide

## Layout

The designs were created to the following widths:

- Mobile: 375px
- Desktop: 1440px

> 💡 These are just the design sizes. Ensure content is responsive and meets WCAG requirements by testing the full range of screen sizes from 320px to large screens.

## Colors

### Primary

- Green 400: hsl(172, 67%, 45%)

### Neutral

- Green 900: hsl(183, 100%, 15%)
- Grey 500: hsl(186, 14%, 43%)
- Grey 400: hsl(184, 14%, 56%)
- Grey 200: hsl(185, 41%, 84%)
- Grey 50: hsl(189, 47%, 97%)
- White: hsl(0, 100%, 100%)

## Typography

### Body Copy

- Font size (form inputs): 24px

### Font

- Family: [Space Mono](https://fonts.google.com/specimen/Space+Mono)
- Weights: 700

> 💎 [Upgrade to Pro](https://www.frontendmentor.io/pro?ref=style-guide) for design file access to see all design details and get hands-on experience using a professional workflow with tools like Figma. */